DEF VAR iAttachment               AS INTEGER   NO-UNDO.
DEF VAR cFilename                 AS CHARACTER NO-UNDO.
DEF VAR cExtension                AS CHARACTER NO-UNDO.
DEF VAR cTargetFile               AS CHARACTER NO-UNDO.
DEF VAR cOrgFile                  AS CHARACTER NO-UNDO.
DEF VAR cRecordType               AS CHARACTER NO-UNDO.
DEF VAR iSeqnr                    AS INTEGER   NO-UNDO.
DEF VAR iBlobnr                   AS INTEGER   NO-UNDO.
DEF VAR cWarnings                 AS CHAR      NO-UNDO.
DEF VAR cSubFolder                AS CHAR      NO-UNDO.
DEF VAR cSavePath                 AS CHAR      NO-UNDO.
DEF VAR lOk                       AS LOG       NO-UNDO.

DEF BUFFER b-aa-attachment FOR aa-attachment.

FOR EACH ec-image NO-LOCK BREAK BY companycode:
  IF FIRST-OF(companycode)
  THEN DO:
    FIND ec-parameter NO-LOCK  WHERE
         ec-parameter.companycode = ec-image.companycode.
    cSavePath = REPLACE(ec-parameter.image_path,"\","/").
    IF   cSavePath <> ""
     AND SUBSTRING(cSavePath,LENGTH(cSavePath),1) <> "/" 
    THEN cSavePath = cSavePath + "/".
    
  END.
  
  iAttachment = 0.
  cRecordType = "ec-container".
  cSubFolder  = ec-image.containerprefix + "\" + ec-image.containernr.
  FIND ec-container WHERE
       ec-container.companycode     = ec-image.companycode
   AND ec-container.containerprefix = ec-image.containerprefix
   AND ec-container.containernr     = ec-image.containernr
       NO-LOCK NO-ERROR.
  IF AVAIL ec-container
  THEN iAttachment = ec-container.attachmentnr.
  
  cFilename = cSavePath + ec-image.relative_path.
  cOrgFile  = cFilename.
  iSeqnr    = 0.
  
  IF SEARCH(cFilename) <> ?
  THEN DO:
    RUN aa/proc/aa-save_attachment.p ( INPUT  iAttachment
                                      ,INPUT  cOrgFile
                                      ,INPUT-OUTPUT cFileName
                                      ,INPUT  cRecordType
                                      ,INPUT  cSubFolder
                                      ,OUTPUT lOk
                                      ,OUTPUT iBlobNr
                                      ,OUTPUT cTargetFile
                                      ,OUTPUT cExtension
                                      ,OUTPUT cWarnings ).
    IF cWarnings = ""
    THEN DO:
      CREATE b-aa-attachment.
      ASSIGN b-aa-attachment.attachmentnr     = iAttachment
             b-aa-attachment.attachmenttype   = ""
             b-aa-attachment.recordtype       = cRecordType
             b-aa-attachment.filename         = cFilename
             b-aa-attachment.file_extension   = cExtension
             b-aa-attachment.target_filename  = cTargetFile
             b-aa-attachment.org_filename     = cOrgFile
             b-aa-attachment.remarks          = ec-image.remarks
             b-aa-attachment.blobnr           = iBlobNr
             b-aa-attachment.thumbnail-blobnr = 0
             b-aa-attachment.create_usercode  = "softpak"
             b-aa-attachment.dt_create        = ec-image.dt_create
             b-aa-attachment.tim_create       = ec-image.tim_create
             b-aa-attachment.update_usercode  = ""
             b-aa-attachment.dt_update        = ?
             b-aa-attachment.tim_update       = ""
             b-aa-attachment.ind_internet     = FALSE
             b-aa-attachment.ind_private      = FALSE
             b-aa-attachment.ind_template     = FALSE
             .
    END.
  END.
END.
